package appserv;

//Import Servlet Libraries
import javax.servlet.*;
import javax.servlet.http.*;

//Import Java Libraries
import java.util.*;
import java.sql.*;
import java.io.*;

public class dbappservlet extends HttpServlet {

   Connection dbCon;

   public void init() throws ServletException {

      try {
         Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
         String dbURL = "jdbc:odbc:vieraskirja";
         dbCon = DriverManager.getConnection(dbURL);
      } catch (Exception e) {
         System.out.println("Database connect failed (init)");
         System.out.println(e.toString());
         return;
      }
   }
/*
   public void doGet(HttpServletRequest req, HttpServletResponse res)
      throws ServletException, IOException {

      PrintWriter out = res.getWriter();
      res.setContentType("text/html");

//      out.println("Get");

      String qry = req.getParameter("qry");

      try {
         Statement s = dbCon.createStatement();
         ResultSet rs = s.executeQuery(qry);
         while (rs.next()) {
            out.println(rs.getString(1) + " -  " + rs.getString(2));
            out.println(rs.getString(3));
            out.println ("");
         }
      } catch (SQLException e) {
         out.println("SQL_VIRHE");
         System.out.println(e.toString());
         return;
      }
      out.println();
      out.close();
   }
*/
/* listty ite */
  public void doPost(HttpServletRequest req, HttpServletResponse res)
      throws ServletException, IOException {

      PrintWriter out = res.getWriter();
      res.setContentType("text/html");

//      out.println("Post");

      String qry = req.getParameter("qry");


      try {
         Statement s = dbCon.createStatement();
         ResultSet rs = s.executeQuery(qry);
         while (rs.next()) {
            out.println("Tietue nro " + rs.getRow() + ":");
            out.println("Nimi:" + rs.getString(2) + " Email:" + rs.getString(3));
 //           out.println("Puhelin:" + rs.getString(7) + " Viesti" + rs.getString(8));
            out.println ("");
         }
      } catch (SQLException e) {
         out.println("SQL-VIRHE, korjaa ja aja uudestaan");
         System.out.println(e.toString());
         return;
      }
      out.println();
      out.close();
   }

   public void destroy() {

      /* Close database connection */
      try {
         dbCon.close();
      } catch (Exception e) {
         System.out.println("Error closing database (destroy)");
         System.out.println(e.toString());
      }
   }
}
